//-----------------------------------------------------------------------------
/*
Programmed by Olivier Sangala
http://olivier.sangala.free.fr
olivier_sangala@hotmail.com
*/
//-----------------------------------------------------------------------------

// C Header File
// Created 26/06/02; 11:01:26

//--------------------------------------------------------------------------

#define MOVES_SIZE (4096)
#define NO_TILE (0xFF)
#define STATS_LEFT (100)
#define SHUFFLE_MOVES (512)
#define SIZEX_MAX (8)
#define SIZEY_MAX (8)

//--------------------------------------------------------------------------

typedef struct
{
int x;
int y;
}
TPoint;

typedef struct
{

int show_moves;
int moves;
int moves_max;
int SizeX;
int SizeY;

TPoint BlankTilePos;
unsigned char BoardMat[SIZEX_MAX][SIZEY_MAX];
unsigned char HistoryData[MOVES_SIZE];

}
TGame;

//--------------------------------------------------------------------------

enum TMove {TMOVE_L,TMOVE_U,TMOVE_R,TMOVE_D};

//--------------------------------------------------------------------------

void RefreshScreen(void);
void RefreshTile(int x, int y);
void Shuffle(void);
int IsSolved(void);
int MoveTile(int Move);
void MoveTileUser(int Move);
void NewGame(void);
void Undo(void);
void Redo(void);

//--------------------------------------------------------------------------
